<?php

/**
 * @file
 * Expectation for view configuration entity translation scenario.
 */

use Drupal\Core\Entity\EntityInterface;
use Drupal\Tests\acquia_contenthub\Kernel\Stubs\CdfExpectations;

$data = [
  'langcode' => 'en',
  'status' => true,
  'dependencies' =>
    [
      'module' =>
        [
          0 => 'node',
          1 => 'user',
        ],
    ],
  'id' => 'content',
  'label' => 'Content',
  'module' => 'node',
  'description' => 'Find and manage content.',
  'tag' => 'default',
  'base_table' => 'node_field_data',
  'base_field' => 'nid',
  'display' =>
    [
      'default' =>
        [
          'display_options' =>
            [
              'access' =>
                [
                  'type' => 'perm',
                  'options' =>
                    [
                      'perm' => 'access content overview',
                    ],
                ],
              'cache' =>
                [
                  'type' => 'tag',
                ],
              'query' =>
                [
                  'type' => 'views_query',
                ],
              'exposed_form' =>
                [
                  'type' => 'basic',
                  'options' =>
                    [
                      'submit_button' => 'Filter',
                      'reset_button' => true,
                      'reset_button_label' => 'Reset',
                      'exposed_sorts_label' => 'Sort by',
                      'expose_sort_order' => true,
                      'sort_asc_label' => 'Asc',
                      'sort_desc_label' => 'Desc',
                    ],
                ],
              'pager' =>
                [
                  'type' => 'full',
                  'options' =>
                    [
                      'items_per_page' => 50,
                      'tags' =>
                        [
                          'previous' => '‹ Previous',
                          'next' => 'Next ›',
                          'first' => '« First',
                          'last' => 'Last »',
                        ],
                    ],
                ],
              'style' =>
                [
                  'type' => 'table',
                  'options' =>
                    [
                      'grouping' =>
                        [
                        ],
                      'row_class' => '',
                      'default_row_class' => true,
                      'override' => true,
                      'sticky' => true,
                      'caption' => '',
                      'summary' => '',
                      'description' => '',
                      'columns' =>
                        [
                          'node_bulk_form' => 'node_bulk_form',
                          'title' => 'title',
                          'type' => 'type',
                          'name' => 'name',
                          'status' => 'status',
                          'changed' => 'changed',
                          'edit_node' => 'edit_node',
                          'delete_node' => 'delete_node',
                          'dropbutton' => 'dropbutton',
                          'timestamp' => 'title',
                        ],
                      'info' =>
                        [
                          'node_bulk_form' =>
                            [
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => '',
                            ],
                          'title' =>
                            [
                              'sortable' => true,
                              'default_sort_order' => 'asc',
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => '',
                            ],
                          'type' =>
                            [
                              'sortable' => true,
                              'default_sort_order' => 'asc',
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => '',
                            ],
                          'name' =>
                            [
                              'sortable' => false,
                              'default_sort_order' => 'asc',
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => 'priority-low',
                            ],
                          'status' =>
                            [
                              'sortable' => true,
                              'default_sort_order' => 'asc',
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => '',
                            ],
                          'changed' =>
                            [
                              'sortable' => true,
                              'default_sort_order' => 'desc',
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => 'priority-low',
                            ],
                          'edit_node' =>
                            [
                              'sortable' => false,
                              'default_sort_order' => 'asc',
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => '',
                            ],
                          'delete_node' =>
                            [
                              'sortable' => false,
                              'default_sort_order' => 'asc',
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => '',
                            ],
                          'dropbutton' =>
                            [
                              'sortable' => false,
                              'default_sort_order' => 'asc',
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => '',
                            ],
                          'timestamp' =>
                            [
                              'sortable' => false,
                              'default_sort_order' => 'asc',
                              'align' => '',
                              'separator' => '',
                              'empty_column' => false,
                              'responsive' => '',
                            ],
                        ],
                      'default' => 'changed',
                      'empty_table' => true,
                    ],
                ],
              'row' =>
                [
                  'type' => 'fields',
                ],
              'fields' =>
                [
                  'node_bulk_form' =>
                    [
                      'id' => 'node_bulk_form',
                      'table' => 'node',
                      'field' => 'node_bulk_form',
                      'label' => '',
                      'exclude' => false,
                      'alter' =>
                        [
                          'alter_text' => false,
                        ],
                      'element_class' => '',
                      'element_default_classes' => true,
                      'empty' => '',
                      'hide_empty' => false,
                      'empty_zero' => false,
                      'hide_alter_empty' => true,
                      'plugin_id' => 'node_bulk_form',
                      'entity_type' => 'node',
                    ],
                  'title' =>
                    [
                      'id' => 'title',
                      'table' => 'node_field_data',
                      'field' => 'title',
                      'label' => 'Title',
                      'exclude' => false,
                      'alter' =>
                        [
                          'alter_text' => false,
                        ],
                      'element_class' => '',
                      'element_default_classes' => true,
                      'empty' => '',
                      'hide_empty' => false,
                      'empty_zero' => false,
                      'hide_alter_empty' => true,
                      'entity_type' => 'node',
                      'entity_field' => 'title',
                      'type' => 'string',
                      'settings' =>
                        [
                          'link_to_entity' => true,
                        ],
                      'plugin_id' => 'field',
                    ],
                  'type' =>
                    [
                      'id' => 'type',
                      'table' => 'node_field_data',
                      'field' => 'type',
                      'relationship' => 'none',
                      'group_type' => 'group',
                      'admin_label' => '',
                      'label' => 'Content type',
                      'exclude' => false,
                      'alter' =>
                        [
                          'alter_text' => false,
                          'text' => '',
                          'make_link' => false,
                          'path' => '',
                          'absolute' => false,
                          'external' => false,
                          'replace_spaces' => false,
                          'path_case' => 'none',
                          'trim_whitespace' => false,
                          'alt' => '',
                          'rel' => '',
                          'link_class' => '',
                          'prefix' => '',
                          'suffix' => '',
                          'target' => '',
                          'nl2br' => false,
                          'max_length' => 0,
                          'word_boundary' => true,
                          'ellipsis' => true,
                          'more_link' => false,
                          'more_link_text' => '',
                          'more_link_path' => '',
                          'strip_tags' => false,
                          'trim' => false,
                          'preserve_tags' => '',
                          'html' => false,
                        ],
                      'element_type' => '',
                      'element_class' => '',
                      'element_label_type' => '',
                      'element_label_class' => '',
                      'element_label_colon' => true,
                      'element_wrapper_type' => '',
                      'element_wrapper_class' => '',
                      'element_default_classes' => true,
                      'empty' => '',
                      'hide_empty' => false,
                      'empty_zero' => false,
                      'hide_alter_empty' => true,
                      'click_sort_column' => 'target_id',
                      'type' => 'entity_reference_label',
                      'settings' =>
                        [
                          'link' => false,
                        ],
                      'group_column' => 'target_id',
                      'group_columns' =>
                        [
                        ],
                      'group_rows' => true,
                      'delta_limit' => 0,
                      'delta_offset' => 0,
                      'delta_reversed' => false,
                      'delta_first_last' => false,
                      'multi_type' => 'separator',
                      'separator' => ', ',
                      'field_api_classes' => false,
                      'entity_type' => 'node',
                      'entity_field' => 'type',
                      'plugin_id' => 'field',
                    ],
                  'name' =>
                    [
                      'id' => 'name',
                      'table' => 'users_field_data',
                      'field' => 'name',
                      'relationship' => 'uid',
                      'label' => 'Author',
                      'exclude' => false,
                      'alter' =>
                        [
                          'alter_text' => false,
                        ],
                      'element_class' => '',
                      'element_default_classes' => true,
                      'empty' => '',
                      'hide_empty' => false,
                      'empty_zero' => false,
                      'hide_alter_empty' => true,
                      'plugin_id' => 'field',
                      'type' => 'user_name',
                      'entity_type' => 'user',
                      'entity_field' => 'name',
                    ],
                  'status' =>
                    [
                      'id' => 'status',
                      'table' => 'node_field_data',
                      'field' => 'status',
                      'label' => 'Status',
                      'exclude' => false,
                      'alter' =>
                        [
                          'alter_text' => false,
                        ],
                      'element_class' => '',
                      'element_default_classes' => true,
                      'empty' => '',
                      'hide_empty' => false,
                      'empty_zero' => false,
                      'hide_alter_empty' => true,
                      'type' => 'boolean',
                      'settings' =>
                        [
                          'format' => 'custom',
                          'format_custom_true' => 'Published',
                          'format_custom_false' => 'Unpublished',
                        ],
                      'plugin_id' => 'field',
                      'entity_type' => 'node',
                      'entity_field' => 'status',
                    ],
                  'changed' =>
                    [
                      'id' => 'changed',
                      'table' => 'node_field_data',
                      'field' => 'changed',
                      'label' => 'Updated',
                      'exclude' => false,
                      'alter' =>
                        [
                          'alter_text' => false,
                        ],
                      'element_class' => '',
                      'element_default_classes' => true,
                      'empty' => '',
                      'hide_empty' => false,
                      'empty_zero' => false,
                      'hide_alter_empty' => true,
                      'type' => 'timestamp',
                      'settings' =>
                        [
                          'date_format' => 'short',
                          'custom_date_format' => '',
                          'timezone' => '',
                        ],
                      'plugin_id' => 'field',
                      'entity_type' => 'node',
                      'entity_field' => 'changed',
                    ],
                  'operations' =>
                    [
                      'id' => 'operations',
                      'table' => 'node',
                      'field' => 'operations',
                      'relationship' => 'none',
                      'group_type' => 'group',
                      'admin_label' => '',
                      'label' => 'Operations',
                      'exclude' => false,
                      'alter' =>
                        [
                          'alter_text' => false,
                          'text' => '',
                          'make_link' => false,
                          'path' => '',
                          'absolute' => false,
                          'external' => false,
                          'replace_spaces' => false,
                          'path_case' => 'none',
                          'trim_whitespace' => false,
                          'alt' => '',
                          'rel' => '',
                          'link_class' => '',
                          'prefix' => '',
                          'suffix' => '',
                          'target' => '',
                          'nl2br' => false,
                          'max_length' => 0,
                          'word_boundary' => true,
                          'ellipsis' => true,
                          'more_link' => false,
                          'more_link_text' => '',
                          'more_link_path' => '',
                          'strip_tags' => false,
                          'trim' => false,
                          'preserve_tags' => '',
                          'html' => false,
                        ],
                      'element_type' => '',
                      'element_class' => '',
                      'element_label_type' => '',
                      'element_label_class' => '',
                      'element_label_colon' => true,
                      'element_wrapper_type' => '',
                      'element_wrapper_class' => '',
                      'element_default_classes' => true,
                      'empty' => '',
                      'hide_empty' => false,
                      'empty_zero' => false,
                      'hide_alter_empty' => true,
                      'destination' => true,
                      'plugin_id' => 'entity_operations',
                    ],
                ],
              'filters' =>
                [
                  'title' =>
                    [
                      'id' => 'title',
                      'table' => 'node_field_data',
                      'field' => 'title',
                      'relationship' => 'none',
                      'group_type' => 'group',
                      'admin_label' => '',
                      'operator' => 'contains',
                      'value' => '',
                      'group' => 1,
                      'exposed' => true,
                      'expose' =>
                        [
                          'operator_id' => 'title_op',
                          'label' => 'Title',
                          'description' => '',
                          'use_operator' => false,
                          'operator' => 'title_op',
                          'identifier' => 'title',
                          'required' => false,
                          'remember' => false,
                          'multiple' => false,
                          'remember_roles' =>
                            [
                              'authenticated' => 'authenticated',
                              'anonymous' => '0',
                              'administrator' => '0',
                            ],
                          'operator_limit_selection' => false,
                          'operator_list' =>
                            [
                            ],
                        ],
                      'is_grouped' => false,
                      'group_info' =>
                        [
                          'label' => '',
                          'description' => '',
                          'identifier' => '',
                          'optional' => true,
                          'widget' => 'select',
                          'multiple' => false,
                          'remember' => false,
                          'default_group' => 'All',
                          'default_group_multiple' =>
                            [
                            ],
                          'group_items' =>
                            [
                            ],
                        ],
                      'plugin_id' => 'string',
                      'entity_type' => 'node',
                      'entity_field' => 'title',
                    ],
                  'type' =>
                    [
                      'id' => 'type',
                      'table' => 'node_field_data',
                      'field' => 'type',
                      'relationship' => 'none',
                      'group_type' => 'group',
                      'admin_label' => '',
                      'operator' => 'in',
                      'value' =>
                        [
                        ],
                      'group' => 1,
                      'exposed' => true,
                      'expose' =>
                        [
                          'operator_id' => 'type_op',
                          'label' => 'Content type',
                          'description' => '',
                          'use_operator' => false,
                          'operator' => 'type_op',
                          'identifier' => 'type',
                          'required' => false,
                          'remember' => false,
                          'multiple' => false,
                          'remember_roles' =>
                            [
                              'authenticated' => 'authenticated',
                              'anonymous' => '0',
                              'administrator' => '0',
                            ],
                          'reduce' => false,
                          'operator_limit_selection' => false,
                          'operator_list' =>
                            [
                            ],
                        ],
                      'is_grouped' => false,
                      'group_info' =>
                        [
                          'label' => '',
                          'description' => '',
                          'identifier' => '',
                          'optional' => true,
                          'widget' => 'select',
                          'multiple' => false,
                          'remember' => false,
                          'default_group' => 'All',
                          'default_group_multiple' =>
                            [
                            ],
                          'group_items' =>
                            [
                            ],
                        ],
                      'plugin_id' => 'bundle',
                      'entity_type' => 'node',
                      'entity_field' => 'type',
                    ],
                  'status' =>
                    [
                      'id' => 'status',
                      'table' => 'node_field_data',
                      'field' => 'status',
                      'relationship' => 'none',
                      'group_type' => 'group',
                      'admin_label' => '',
                      'operator' => '=',
                      'value' => '1',
                      'group' => 1,
                      'exposed' => true,
                      'expose' =>
                        [
                          'operator_id' => '',
                          'label' => 'Status',
                          'description' => '',
                          'use_operator' => false,
                          'operator' => 'status_op',
                          'identifier' => 'status',
                          'required' => false,
                          'remember' => false,
                          'multiple' => false,
                          'remember_roles' =>
                            [
                              'authenticated' => 'authenticated',
                            ],
                          'operator_limit_selection' => false,
                          'operator_list' =>
                            [
                            ],
                        ],
                      'is_grouped' => true,
                      'group_info' =>
                        [
                          'label' => 'Published status',
                          'description' => '',
                          'identifier' => 'status',
                          'optional' => true,
                          'widget' => 'select',
                          'multiple' => false,
                          'remember' => false,
                          'default_group' => 'All',
                          'default_group_multiple' =>
                            [
                            ],
                          'group_items' =>
                            [
                              1 =>
                                [
                                  'title' => 'Published',
                                  'operator' => '=',
                                  'value' => '1',
                                ],
                              2 =>
                                [
                                  'title' => 'Unpublished',
                                  'operator' => '=',
                                  'value' => '0',
                                ],
                            ],
                        ],
                      'plugin_id' => 'boolean',
                      'entity_type' => 'node',
                      'entity_field' => 'status',
                    ],
                  'langcode' =>
                    [
                      'id' => 'langcode',
                      'table' => 'node_field_data',
                      'field' => 'langcode',
                      'relationship' => 'none',
                      'group_type' => 'group',
                      'admin_label' => '',
                      'operator' => 'in',
                      'value' =>
                        [
                        ],
                      'group' => 1,
                      'exposed' => true,
                      'expose' =>
                        [
                          'operator_id' => 'langcode_op',
                          'label' => 'Language',
                          'description' => '',
                          'use_operator' => false,
                          'operator' => 'langcode_op',
                          'identifier' => 'langcode',
                          'required' => false,
                          'remember' => false,
                          'multiple' => false,
                          'remember_roles' =>
                            [
                              'authenticated' => 'authenticated',
                              'anonymous' => '0',
                              'administrator' => '0',
                            ],
                          'reduce' => false,
                          'operator_limit_selection' => false,
                          'operator_list' =>
                            [
                            ],
                        ],
                      'is_grouped' => false,
                      'group_info' =>
                        [
                          'label' => '',
                          'description' => '',
                          'identifier' => '',
                          'optional' => true,
                          'widget' => 'select',
                          'multiple' => false,
                          'remember' => false,
                          'default_group' => 'All',
                          'default_group_multiple' =>
                            [
                            ],
                          'group_items' =>
                            [
                            ],
                        ],
                      'plugin_id' => 'language',
                      'entity_type' => 'node',
                      'entity_field' => 'langcode',
                    ],
                  'status_extra' =>
                    [
                      'id' => 'status_extra',
                      'table' => 'node_field_data',
                      'field' => 'status_extra',
                      'operator' => '=',
                      'value' => false,
                      'plugin_id' => 'node_status',
                      'group' => 1,
                      'entity_type' => 'node',
                      'expose' =>
                        [
                          'operator_limit_selection' => false,
                          'operator_list' =>
                            [
                            ],
                        ],
                    ],
                ],
              'sorts' =>
                [
                ],
              'title' => 'Content',
              'empty' =>
                [
                  'area_text_custom' =>
                    [
                      'id' => 'area_text_custom',
                      'table' => 'views',
                      'field' => 'area_text_custom',
                      'empty' => true,
                      'content' => 'No content available.',
                      'plugin_id' => 'text_custom',
                    ],
                ],
              'arguments' =>
                [
                ],
              'relationships' =>
                [
                  'uid' =>
                    [
                      'id' => 'uid',
                      'table' => 'node_field_data',
                      'field' => 'uid',
                      'admin_label' => 'author',
                      'required' => true,
                      'plugin_id' => 'standard',
                    ],
                ],
              'show_admin_links' => false,
              'filter_groups' =>
                [
                  'operator' => 'AND',
                  'groups' =>
                    [
                      1 => 'AND',
                    ],
                ],
              'display_extenders' =>
                [
                ],
            ],
          'display_plugin' => 'default',
          'display_title' => 'Master',
          'id' => 'default',
          'position' => 0,
          'cache_metadata' =>
            [
              'contexts' =>
                [
                  0 => 'languages:language_content',
                  1 => 'languages:language_interface',
                  2 => 'url',
                  3 => 'url.query_args',
                  4 => 'user',
                  5 => 'user.node_grants:view',
                  6 => 'user.permissions',
                ],
              'max-age' => 0,
              'tags' =>
                [
                ],
            ],
        ],
      'page_1' =>
        [
          'display_options' =>
            [
              'path' => 'admin/content/node',
              'menu' =>
                [
                  'type' => 'default tab',
                  'title' => 'Content',
                  'description' => '',
                  'menu_name' => 'admin',
                  'weight' => -10,
                  'context' => '',
                ],
              'tab_options' =>
                [
                  'type' => 'normal',
                  'title' => 'Content',
                  'description' => 'Find and manage content',
                  'menu_name' => 'admin',
                  'weight' => -10,
                ],
              'display_extenders' =>
                [
                ],
            ],
          'display_plugin' => 'page',
          'display_title' => 'Page',
          'id' => 'page_1',
          'position' => 1,
          'cache_metadata' =>
            [
              'contexts' =>
                [
                  0 => 'languages:language_content',
                  1 => 'languages:language_interface',
                  2 => 'url',
                  3 => 'url.query_args',
                  4 => 'user',
                  5 => 'user.node_grants:view',
                  6 => 'user.permissions',
                ],
              'max-age' => 0,
              'tags' =>
                [
                ],
            ],
        ],
    ],
];

$expectation = new CdfExpectations($data);
$expectation->setEntityLoader('acquia_contenthub_test_view_config_load');

function acquia_contenthub_test_view_config_load(): EntityInterface {
  return \Drupal::service('entity.manager')
    ->getStorage('view')
    ->load('content');
}

return [
  '0204f032-73dd-4d0f-83df-019631d86563' => $expectation,
];
